/*	assert.h

	assert macro

	Copyright (c) KK 2011,2021
	All Rights Reserved.
*/

#ifndef _ASSERT_H
#define _ASSERT_H

// linux
#define assert(expr) ((expr) ? 0 : __assert_fail ("expr", __FILE__, __LINE__, __ASSERT_FUNCTION))

void __assert_fail (const char *__assertion, const char *__file, unsigned int __line, const char *__function);

// windows
//#define assert(expr) ((expr) ? 0 : _assert ("expr", __FILE__, __LINE__, __ASSERT_FUNCTION))

//void _assert (const char *__assertion, const char *__file, unsigned int __line, const char *__function);

#endif

